# DataExchange
TKSTEPBase
StepShape

# StepShape_Array1OfConnectedFaceSet Class Reference

`#include <StepShape_Array1OfConnectedFaceSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Array1OfConnectedFaceSet (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_Array1OfConnectedFaceSet (const Handle(StepShape_ConnectedFaceSet)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepShape_ConnectedFaceSet)&V)
Standard_EXPORT void | Destroy ()
| ~StepShape_Array1OfConnectedFaceSet ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepShape_Array1OfConnectedFaceSet & | Assign (const StepShape_Array1OfConnectedFaceSet &Other)
const StepShape_Array1OfConnectedFaceSet & | operator= (const StepShape_Array1OfConnectedFaceSet &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_ConnectedFaceSet)&Value)
const Handle_StepShape_ConnectedFaceSet & | Value (const Standard_Integer Index) const
const Handle_StepShape_ConnectedFaceSet & | operator() (const Standard_Integer Index) const
Handle_StepShape_ConnectedFaceSet & | ChangeValue (const Standard_Integer Index)
Handle_StepShape_ConnectedFaceSet & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepShape_Array1OfConnectedFaceSet (const StepShape_Array1OfConnectedFaceSet &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Array1OfConnectedFaceSet::StepShape_Array1OfConnectedFaceSet | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_Array1OfConnectedFaceSet::StepShape_Array1OfConnectedFaceSet | ( | const Handle(StepShape_ConnectedFaceSet)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepShape_Array1OfConnectedFaceSet::~StepShape_Array1OfConnectedFaceSet | ( |  | ) | `[inline]`

Standard_EXPORT StepShape_Array1OfConnectedFaceSet::StepShape_Array1OfConnectedFaceSet | ( | const StepShape_Array1OfConnectedFaceSet & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepShape_Array1OfConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::Assign | ( | const StepShape_Array1OfConnectedFaceSet & | Other | ) |

Handle_StepShape_ConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepShape_Array1OfConnectedFaceSet::Destroy | ( |  | ) |

Standard_EXPORT void StepShape_Array1OfConnectedFaceSet::Init | ( | const Handle(StepShape_ConnectedFaceSet)& | V | ) |

Standard_Boolean StepShape_Array1OfConnectedFaceSet::IsAllocated | ( |  | ) | const

Standard_Integer StepShape_Array1OfConnectedFaceSet::Length | ( |  | ) | const

Standard_Integer StepShape_Array1OfConnectedFaceSet::Lower | ( |  | ) | const

void StepShape_Array1OfConnectedFaceSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_Array1OfConnectedFaceSet::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_Array1OfConnectedFaceSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepShape_ConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepShape_ConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepShape_Array1OfConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::operator= | ( | const StepShape_Array1OfConnectedFaceSet & | Other | ) | `[inline]`

void StepShape_Array1OfConnectedFaceSet::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_ConnectedFaceSet)& | Value
| ) |

Standard_Integer StepShape_Array1OfConnectedFaceSet::Upper | ( |  | ) | const

const Handle_StepShape_ConnectedFaceSet& StepShape_Array1OfConnectedFaceSet::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepShape_Array1OfConnectedFaceSet::isAllocated`[private]`

Standard_Integer StepShape_Array1OfConnectedFaceSet::myLowerBound`[private]`

Standard_Address StepShape_Array1OfConnectedFaceSet::myStart`[private]`

Standard_Integer StepShape_Array1OfConnectedFaceSet::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepShape_Array1OfConnectedFaceSet.hxx